For the complete documentation index, see llms.txt. This page is also available as Markdown.

Server Quota

CRUD for default / client server quota (on-demand)

Create a new quota item

post

Create a new quota item

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Body

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
Responses
200

Successful operation

application/json

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
post/api/quota
POST /api/quota HTTP/1.1
X-Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 95

{
  "clientId": 12345,
  "contractId": "JD-NB2UU6VX732",
  "locationId": 18,
  "instanceTypeId": 123,
  "quota": 5
}
{
  "id": 123,
  "clientId": 12345,
  "contractId": "JD-NB2UU6VX732",
  "locationId": 18,
  "instanceTypeId": 123,
  "quota": 5
}

Get a specific quota item

get

Get a specfic quota item

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
idinteger · intRequired

ID of the quota item

Example: 123
Responses
200

Successful operation

application/json

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
get/api/quota/{id}
GET /api/quota/{id} HTTP/1.1
X-Api-Key: YOUR_API_KEY
Accept: */*
{
  "id": 123,
  "clientId": 12345,
  "contractId": "JD-NB2UU6VX732",
  "locationId": 18,
  "instanceTypeId": 123,
  "quota": 5
}

Update a specific quota item

put

Update a specific quota item

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
idinteger · intRequired

ID of the quota item

Example: 123
Body

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
Responses
200

Successful operation

application/json

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
put/api/quota/{id}
PUT /api/quota/{id} HTTP/1.1
X-Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 95

{
  "clientId": 12345,
  "contractId": "JD-NB2UU6VX732",
  "locationId": 18,
  "instanceTypeId": 123,
  "quota": 5
}
{
  "id": 123,
  "clientId": 12345,
  "contractId": "JD-NB2UU6VX732",
  "locationId": 18,
  "instanceTypeId": 123,
  "quota": 5
}

Delete a specific quota item

delete

Delete a specific quota item

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
idinteger · intRequired

ID of the quota item

Example: 123
Responses
204

No content

No content

delete/api/quota/{id}
DELETE /api/quota/{id} HTTP/1.1
X-Api-Key: YOUR_API_KEY
Accept: */*

No content

Get a list of client IDs that have custom quota

get

Get a list of client IDs that have custom quota, with optional contract ID

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Responses
200

Successful operation

application/json

ServerQuotaClients containing a list of client IDs that have custom quota

get/api/quota/clients
GET /api/quota/clients HTTP/1.1
X-Api-Key: YOUR_API_KEY
Accept: */*
{
  "items": [
    {
      "clientId": 1,
      "contractId": "JD-NB2UU6VX732"
    }
  ]
}

Get all default quota items

get

Get all default quota items

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Responses
200

Successful operation

application/json

ServerQuota object

get/api/quota/default
GET /api/quota/default HTTP/1.1
X-Api-Key: YOUR_API_KEY
Accept: */*
{
  "items": [
    {
      "id": 123,
      "clientId": 12345,
      "contractId": "JD-NB2UU6VX732",
      "locationId": 18,
      "instanceTypeId": 123,
      "quota": 5
    }
  ]
}

Get all quota for a client

get

Get all the quota for a client, of all types

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
clientIdinteger · intRequired

ID of the client to get quota for

Example: 12345
Responses
200

Successful operation

application/json

ServerQuota object

get/api/client/{clientId}/quota
GET /api/client/{clientId}/quota HTTP/1.1
X-Api-Key: YOUR_API_KEY
Accept: */*
{
  "items": [
    {
      "id": 123,
      "clientId": 12345,
      "contractId": "JD-NB2UU6VX732",
      "locationId": 18,
      "instanceTypeId": 123,
      "quota": 5
    }
  ]
}

Set all quota for a client

post

Set all the quota for a client in 1 go

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
clientIdinteger · intRequired

ID of the client to get quota for

Example: 12345
Body

ServerQuotaBulk to update all (client) quota for a contract ID in 1 go

contractIdstringOptional

Can be empty or null for on-demand client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
Responses
200

Successful operation

application/json

ServerQuota object

post/api/client/{clientId}/quota
POST /api/client/{clientId}/quota HTTP/1.1
X-Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 137

{
  "contractId": "JD-NB2UU6VX732",
  "items": [
    {
      "clientId": 12345,
      "contractId": "JD-NB2UU6VX732",
      "locationId": 18,
      "instanceTypeId": 123,
      "quota": 5
    }
  ]
}
{
  "items": [
    {
      "id": 123,
      "clientId": 12345,
      "contractId": "JD-NB2UU6VX732",
      "locationId": 18,
      "instanceTypeId": 123,
      "quota": 5
    }
  ]
}

Delete all quota of a client

delete

Delete the quota of a client. If contractId is passed, only the quota for that contract is deleted. Client ID may not be 0 (denoting default quota)

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
clientIdinteger · int · min: 1Required

ID of the client to delete quota for

Example: 12345
Query parameters
contractIdstringOptional

contract id

Pattern: ^[A-Z0-9_\-.]{0,240}$
Responses
204

No content

No content

delete/api/client/{clientId}/quota
DELETE /api/client/{clientId}/quota HTTP/1.1
X-Api-Key: YOUR_API_KEY
Accept: */*

No content

Get all quota + usage for a client

get

Get all the quota + usage for a client, of all types

Required scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
clientIdinteger · intRequired

ID of the client to get quota + usage for

Example: 12345
Responses
200

Successful operation

application/json

ServerQuotaUsage object

get/api/client/{clientId}/quota/usage
GET /api/client/{clientId}/quota/usage HTTP/1.1
X-Api-Key: YOUR_API_KEY
Accept: */*
{
  "items": [
    {
      "id": 123,
      "clientId": 12345,
      "contractId": "JD-NB2UU6VX732",
      "locationId": 18,
      "instanceTypeId": 123,
      "quota": 5,
      "usage": 3
    }
  ]
}

Last updated

Was this helpful?